Subject: Re: [Autoconf] "No" Subnet Model and Autoconf Goal

From: "Ian Chakeres" <[email-masked]>
Date: Mon, 9 Oct 2006 13:32:43 -0700

After doings some reading up on various RFCs, I've been trying to come
up with an answer to the question "what is the subnet model for
MANET", or perhaps more accurately "what is the subnet model for MANET
Autoconf".

As Joe pointed out, I think that running MANET routers unnumbered is a
valid approach.  Essentially this can be thought of as the "no subnet
model". Some more information on running unnumbered can be found in
RFC 1812, and a few other references I've listed below my name.

Given this subnet model, I think that the first goal of the Autoconf
group would be to determine a MANET router's router-id.

Do you think this is the right "subnet model" for the Autoconf WG?

Do you think the initial goal of the Autoconf group should be to
determine a MANET router's router-id?

Ian Chakeres

Here are a few references I found relevent:
RFC 950
RFC 3819
draft-iab-multilink-subnet-issues
www.apricot2006.net/slides/conf/thursday/Kireeti_Kompella_unnum.ppt
draft-madanapalli-16ng-subnet-model-analysis
draft-ietf-v6ops-802.16-deployment-scenarios

On 10/9/06, Shubhranshu <[email-masked]> wrote:
>
>
>  Ian et al/All,
>
> I went through this revised ID and found it well written. However, this
> version also does not say anything about MANET subnet. Looking from the
> Autoconf perspective, two important things that I would like to see in this
> document are:
>
> - Specific text about MANET subnet
> - Since there could be different subnet models, this document should nail
> down all the options and come forward with single model that could be
> acceptable to the majority.
> It would be good to hear different thoughts & opinions on the second point.
>
>
> Other thoughts related to this ID are:
>
> - I wonder how much of section 7.2. "Cross Layering" belong to this
> document. I find this section quite general and true for any wireless
> network.
>
> - "Challenges" section sounds more like requirements than architecture and I
> would suggest further revision.
>
> - IMO, first para, section 4 does not belong to this document esp I think
> words such as "ideally suited" should be avoided.
>
> Regards,
> Shubhranshu
>
>
> ----- Original Message -----
> From: "Ian Chakeres" <[email-masked]>
> To: <[email-masked]>; "manet" <[email-masked]>
> Sent: Friday, October 06, 2006 11:51 PM
> Subject: [Autoconf] Fwd: I-D
> ACTION:draft-chakeres-manet-arch-01.txt
>
> > I'd like to announce the arch-01 document.
> >
> > Please review it, send me comments, and bring discussion to the mailing
> list.
> >
> > Thanks.
> > Ian Chakeres
> >
> > ---------- Forwarded message ----------
> > From: [email-masked] <[email-masked]>
> > Date: Oct 5, 2006 12:50 PM
> > Subject: I-D ACTION:draft-chakeres-manet-arch-01.txt
> > To: [email-masked]
> >
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> >
> >
> >        Title           : Mobile Ad hoc Network Architecture
> >        Author(s)       : I. Chakeres, et al.
> >        Filename        : draft-chakeres-manet-arch-01.txt
> >        Pages           : 17
> >        Date            : 2006-10-5
> >
> > This document discusses Mobile Ad hoc NETworks (MANETs).  It
> >   introduces basic MANET terms, characteristics, and challenges.  This
> >   document also defines several MANET entities and architectural
> >   concepts.
> >
> > A URL for this Internet-Draft is:
> >
> http://www.ietf.org/internet-drafts/draft-chakeres-manet-arch-01.txt
> >
> > To remove yourself from the I-D Announcement list, send a message to
> > [email-masked] with the word unsubscribe in the body of
> > the message.
> > You can also visit
> https://www1.ietf.org/mailman/listinfo/I-D-announce
> > to change your subscription settings.
> >
> > Internet-Drafts are also available by anonymous FTP. Login with the
> > username "anonymous" and a password of your e-mail address. After
> > logging in, type "cd internet-drafts" and then
> > "get draft-chakeres-manet-arch-01.txt".
> >
> > A list of Internet-Drafts directories can be found in
> > http://www.ietf.org/shadow.html
> > or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >
> > Internet-Drafts can also be obtained by e-mail.
> >
> > Send a message to:
> >        [email-masked].
> > In the body type:
> >        "FILE /internet-drafts/draft-chakeres-manet-arch-01.txt".
> >
> > NOTE:   The mail server at ietf.org can return the document in
> >        MIME-encoded form by using the "mpack" utility.  To use this
> >        feature, insert the command "ENCODING mime" before the "FILE"
> >        command.  To decode the response(s), you will need "munpack" or
> >        a MIME-compliant mail reader.  Different MIME-compliant mail
> readers
> >        exhibit different behavior, especially when dealing with
> >        "multipart" MIME messages (i.e. documents which have been split
> >        up into multiple messages), so check your local documentation on
> >        how to manipulate these messages.
> >
> > Below is the data which will enable a MIME compliant mail reader
> > implementation to automatically retrieve the ASCII version of the
> > Internet-Draft.
> >
> >
> >
> >
> > _______________________________________________
> > I-D-Announce mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/i-d-announce
> >
> > _______________________________________________
> > Autoconf mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/autoconf
> >
> >
>
>

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 9 Oct 2006 13:50:43 -0700

> model".

Right, and as I pointed out that model derives from:

http://tools.ietf.org/wg/autoconf/draft-thaler-autoconf-multisubnet-mane
ts-00.txt

But, in this "multisubnet manet" model the MANET routers still
have a link-local address on their MANET interface that needs
to be maintained as unique within the MANET; right?

So, maybe it would be better called something like the
"link-local-only" model?

Fred
[email-masked]

---

From: Thomas Narten <[email-masked]>
Date: Mon, 09 Oct 2006 21:24:31 -0400

> RFC 1812, and a few other references I've listed below my name.

Maybe it's just me, but I just don't get this (and it is driving me
crazy!)

Can you point to any other network that runs IP that has a "no subnet
model"? What does this mean? I'm trying to understand how this would
work actually work. I.e., how packets go from one node to another.

For example, if I am a host H1, how do I send packets to H3? Can H1
send packets to H3 directly (if they are in radio range of each
other)? Or can they never do so? Do they always forward traffic to
their attached  router, and then the routers (via the magic of flat
routing) route the packet to the host's directly attached  route for
final delivery?

And above you say "running MANET routers unnumbered is a valid
approach". I'm sure there are a number of "valid approaches". Which
one is the WG focussed on? Or are there a number of different valid
approaches, each of which will need to be supported? Presumably this
WG needs to pick one approach and standardize it. Right?

> group would be to determine a MANET router's router-id.

What is the significance of a router ID? What does it have to do with
a _host_ determining what address it should use? Or what constitues an
IP subnet?

> determine a MANET router's router-id?

What documents describe the purpose of the router ID and what it is
used for? (I assume this is a well-understood concept in MANETs...)

Thomas

---

From: Christophe Jelger <[email-masked]>
Date: Tue, 10 Oct 2006 11:41:21 +0200

Ian, Joe,

Well I have to admit I'm not so familiar with this unnumbered approach 
and I think it would be useful (hopefully for everybody) if you could 
further explain why you think this is a good approach.

I had a look at different documents, and I'm not sure how you want to 
apply this unnumbered approach to MANETs and what it really solves. It 
seems it's useful so that one does not need to assign a unique address 
to each interface of the router: is this what you foresee? Or do you 
want to use this for its off-link properties?

best regards,
Christophe

---

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 10 Oct 2006 07:45:11 -0700

Hello Thomas,

> work actually work. I.e., how packets go from one node to another.
What is wrong with modeling the link as a point-to-point connection?

What about my Mobile IP example?

> other)?
Yes, if they have a point-to-point link.

-- 
Please address return e-mail to [email-masked]

---

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 10 Oct 2006 07:50:04 -0700

Hello Ian,

ext Ian Chakeres wrote:
> valid approach.
O.K., but...
> Essentially this can be thought of as the "no subnet
> model". 
Sounds like a no-address model.
> group would be to determine a MANET router's router-id.
Why not use the node's IP address as its router-id?

But why even bother?  It is quite clear we can use the unsubnetted IP
address as the endpoint of a point-to-point link.
> Do you think this is the right "subnet model" for the Autoconf WG?
I don't think it is necessary, and I think it is easier to just
not bother making any requirement for having a subnet model.
What good is it to make the requirement?

Of course it should be _allowed_ to have subnets...
> determine a MANET router's router-id?
No, I definitely do not think so.   I think it would be a big
waste of time and a mistake.

Regards,
Charlie P.

---

From: "Joe Macker" <[email-masked]>
Date: Tue, 10 Oct 2006 12:47:34 -0400

I agree with both approaches.

A MANET L3 interface is not a fixed Ethernet model. Subnet prefixes in the
general sense are supported within the routing domain for attached networks
or border aggregation.  To retierate some previous posts, in the late 90s
some early MANET deployments incorrectly configured local MANET interfaces
with prefixes that included hosts multiple hops away.  This only worked
because router redirects can be turned off and longest prefix matching in
the routing tables kept things working .. at least for proactive routing.  I
think that was bad practice and is not how things have been done or should
be done. Hopefully at least that much is clear.

Viewing it as an unsubnetted local interface model with multiple
point-to-point neighbors works.  Running unnumbered or link local for some
architecturess also works.  Various running code has supported these
appraoches.

Do we need to force one model or can we support both?  Or as a slightly
different question does autoconf only want to address one approach?  I am
fan of enigneering both but discussing the differences clearly.

-joe

>-----Original Message-----
>From: Charles E. Perkins [mailto:[email-masked]] 
>Sent: Tuesday, October 10, 2006 10:50 AM
>To: ext Ian Chakeres
>Cc: [email-masked]
>Subject: Re: [Autoconf] "No" Subnet Model and Autoconf Goal
>
>
>Hello Ian,
>
>ext Ian Chakeres wrote:
>> Essentially this can be thought of as the "no subnet model".
>But why even bother?  It is quite clear we can use the 
>unsubnetted IP address as the endpoint of a point-to-point link.
>>
>I don't think it is necessary, and I think it is easier to 
>just not bother making any requirement for having a subnet model.

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 10 Oct 2006 10:05:57 -0700

Question to ADs and/or WG chairs - is this list being
moderated or something?

Fred 

-----Original Message-----
From: Templin, Fred L 
Sent: Tuesday, October 10, 2006 9:56 AM
To: 'Joe Macker'; 'Charles E. Perkins'; 'ext Ian Chakeres'
Cc: [email-masked]
Subject: RE: [Autoconf] "No" Subnet Model and Autoconf Goal

> point-to-point neighbors works.

I think this depends on the type of access technology. If
broadcasts/multicasts sent over the access interface are
received by multiple neighbors, then it isn't multiple
point-to-point links - it is shared media link. A shared
media link can be made to look like multiple point-to-point
links if you use some sort of L2 partitioning like VLANs.
But then, it wouldn't be mobility-agile.

I don't want to keep plugging for my document, but maybe
take a look at 'draft-templin-manet-autoconf-link'.

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 10 Oct 2006 09:56:24 -0700

Fred

---

From: "Joe Macker" <[email-masked]>
Date: Tue, 10 Oct 2006 15:12:04 -0400

Fred:

Yes, I think we agree, its multiple access specific and most akin to P2MP
with dynamic neighbor discovery (sorry I said that in a separate message)
...so in this interface type we can take advantage of link local multicast
(often optional with present IP P2MP) to reach multiple link local
neighbors. The main point was a shared prefix assignment on the link local
interface for reaching neighbor routers like a typical Ethernet doesn't make
much sense in a MANET. The routers can be in the same aggregate prefix for
routing area aggreagation purposes or can support attached prefixes as
normal.

Actually, since many router implementations support working across multiple
interface types we could have different types supported as well.  You are
right in that this is multiple access specific and we have all  perhaps
gotten used to discussing the typical shared access type that we deal with.

-Joe

>From: Templin, Fred L [mailto:[email-masked]] 
>Sent: Tuesday, October 10, 2006 12:56 PM
>To: Joe Macker; Charles E. Perkins; ext Ian Chakeres
>Cc: [email-masked]
>point-to-point links - it is shared media link. A shared media 
>link can be made to look like multiple point-to-point links if 
>you use some sort of L2 partitioning like VLANs.
>I don't want to keep plugging for my document, but maybe take 
>a look at 'draft-templin-manet-autoconf-link'.
>
>Fred

---

From: "Joe Macker" <[email-masked]>
Date: Tue, 10 Oct 2006 15:35:32 -0400

I do not want to get hung up on this too much (because I believe multiple
architectural models are valid)... Also this is not my idea and I am not
proposing it as new. It is a special case of router only mode of operation.
In MANET-OSPF this was being applied along with the use of link local
addressing approaches for IPv6 router-router links.  In this case the mobile
routers are just sending around and advertising attached prefix information.
Its what routers do and often times we have valid deployments in which we
know what routers and attached prefixes are being deployed. This is similar
to the Thaler ID concepts.  One would still want methods for assigning
distributed prefixes somehow and have some BGR discovery there are some EUID
uniqueness requirements(IPv6 stateless case). so there are still autoconf
issues.  There was a thread at the first autoconf WG in Dallas (there are
some notes in the proceedings I believe).

I think we should talk about the numbered case as well with the PTMP/dynamic
neighbor/multicast type interface assumption.

>From: Christophe Jelger [mailto:[email-masked]] 
>Sent: Tuesday, October 10, 2006 5:41 AM
>To: [email-masked]
>Well I have to admit I'm not so familiar with this unnumbered 
>approach and I think it would be useful (hopefully for 
>everybody) if you could further explain why you think this is 
>a good approach.
>
>I had a look at different documents, and I'm not sure how you 
>want to apply this unnumbered approach to MANETs and what it 
>really solves. It seems it's useful so that one does not need 
>to assign a unique address to each interface of the router: is 
>this what you foresee? Or do you want to use this for its 
>off-link properties?
>
>best regards,
>Christophe
>
>Ian Chakeres wrote:

---

From: Shubhranshu <[email-masked]>
Date: Wed, 11 Oct 2006 17:04:01 +0530

Fred,

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "Joe Macker" <[email-masked]>; "Charles E. Perkins" <[email-masked]>; "ext Ian Chakeres" 
<[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, October 10, 2006 10:35 PM
Subject: RE: [Autoconf] "No" Subnet Model and Autoconf Goal

moderated or something?

Yes, it is moderated.

- Shubhranshu

Fred

-----Original Message-----
From: Templin, Fred L
Sent: Tuesday, October 10, 2006 9:56 AM
To: 'Joe Macker'; 'Charles E. Perkins'; 'ext Ian Chakeres'
Cc: [email-masked]
Subject: RE: [Autoconf] "No" Subnet Model and Autoconf Goal

Fred

---

From: Thomas Clausen <[email-masked]>
Date: Tue, 17 Oct 2006 13:09:03 +0200

No, the list is not moderated. One must be subscribed to the list in  
order to post, but the postings are not moderated.

--thomas

On Oct 11, 2006, at 1:34 PM, Shubhranshu wrote:

> Fred,
>
> ----- Original Message ----- From: "Templin, Fred L"  
> <[email-masked]>
> To: "Joe Macker" <[email-masked]>; "Charles E. Perkins"  
> <[email-masked]>; "ext Ian Chakeres"  
> <[email-masked]>
> Cc: <[email-masked]>

-- 
Thomas Clausen
[email-masked]
http://www.lix.polytechnique.fr/Labo/Thomas.Clausen/
http://www.lix.polytechnique.fr/hipercom/